Upstream information

CVE-2013-1619 at MITRE

Description

The TLS implementation in GnuTLS before 2.12.23, 3.0.x before 3.0.28, and 3.1.x before 3.1.7 does not properly consider timing side-channel attacks on a noncompliant MAC check operation during the processing of malformed CBC padding, which allows remote attackers to conduct distinguishing attacks and plaintext-recovery attacks via statistical analysis of timing data for crafted packets, a related issue to CVE-2013-0169.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4 2.57
Vector AV:N/AC:H/Au:N/C:P/I:P/A:N AV:N/AC:H/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity High High
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial None
Availability Impact None None
SUSE Bugzilla entries: 802184 [RESOLVED / FIXED], 802651 [RESOLVED / FIXED], 957568 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
Patchnames:
sledsp2-gnutls
SUSE Linux Enterprise Server 11 SP1-LTSS
  • gnutls >= 2.4.1-24.39.49.1
  • libgnutls-extra26 >= 2.4.1-24.39.49.1
  • libgnutls26 >= 2.4.1-24.39.49.1
  • libgnutls26-32bit >= 2.4.1-24.39.49.1
Patchnames:
slessp1-gnutls
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
  • libgnutls26-x86 >= 2.4.1-24.39.47.1
Patchnames:
slessp2-gnutls
SUSE Linux Enterprise Server 11 SP3
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
  • libgnutls26-x86 >= 2.4.1-24.39.45.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA gnutls
SUSE Linux Enterprise Server 11 SP4
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA gnutls
SUSE Linux Enterprise Server for VMWare 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.47.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
  • libgnutls26-x86 >= 2.4.1-24.39.47.1
Patchnames:
slessp2-gnutls
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgnutls-devel >= 2.4.1-24.39.45.1
  • libgnutls-extra-devel >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
Patchnames:
sdksp2-gnutls
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libgnutls-devel
SUSE CORE 9 for AMD64 and Intel EM64T
SUSE CORE 9 for IBM S/390 31bit
SUSE CORE 9 for IBM zSeries 64bit
SUSE CORE 9 for x86
  • gnutls >= 1.0.8-26.32
  • gnutls-devel >= 1.0.8-26.32
Builds
YOU Patch Nr: 13014
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • gnutls >= 1.2.10-13.32.1
  • gnutls-devel >= 1.2.10-13.32.1
Builds
ZYPP Patch Nr: 8554
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.32.1
  • gnutls-32bit >= 1.2.10-13.32.1
  • gnutls-devel >= 1.2.10-13.32.1
  • gnutls-devel-32bit >= 1.2.10-13.32.1
Builds
ZYPP Patch Nr: 8554
SUSE Linux Enterprise Server 10 SP4 for IPF
  • gnutls >= 1.2.10-13.32.1
  • gnutls-devel >= 1.2.10-13.32.1
  • gnutls-x86 >= 1.2.10-13.32.1
Builds
ZYPP Patch Nr: 8554
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • gnutls >= 1.2.10-13.32.1
  • gnutls-64bit >= 1.2.10-13.32.1
  • gnutls-devel >= 1.2.10-13.32.1
  • gnutls-devel-64bit >= 1.2.10-13.32.1
Builds
ZYPP Patch Nr: 8554
SUSE Linux Enterprise Server 11 SP1 LTSS
  • gnutls >= 2.4.1-24.39.49.1
  • libgnutls-extra26 >= 2.4.1-24.39.49.1
  • libgnutls26 >= 2.4.1-24.39.49.1
Builds
SAT Patch Nr: 8951
SUSE Linux Enterprise Server 11 SP1 LTSS
  • gnutls >= 2.4.1-24.39.49.1
  • libgnutls-extra26 >= 2.4.1-24.39.49.1
  • libgnutls26 >= 2.4.1-24.39.49.1
  • libgnutls26-32bit >= 2.4.1-24.39.49.1
Builds
SAT Patch Nr: 8951
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • gnutls >= 1.2.10-13.38.1
  • gnutls-devel >= 1.2.10-13.38.1
Builds
ZYPP Patch Nr: 8789
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.38.1
  • gnutls-32bit >= 1.2.10-13.38.1
  • gnutls-devel >= 1.2.10-13.38.1
  • gnutls-devel-32bit >= 1.2.10-13.38.1
Builds
ZYPP Patch Nr: 8789
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgnutls-devel >= 2.4.1-24.39.45.1
  • libgnutls-extra-devel >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-x86 >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.45.1
  • libgnutls-extra26 >= 2.4.1-24.39.45.1
  • libgnutls26 >= 2.4.1-24.39.45.1
  • libgnutls26-32bit >= 2.4.1-24.39.45.1
Builds
SAT Patch Nr: 7660


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gnutls Released
SUSE Linux Enterprise Desktop 10 SP4 gnutls Released
SUSE Linux Enterprise Desktop 11 SP1 gnutls Released
SUSE Linux Enterprise Desktop 11 SP2 gnutls Released
SUSE Linux Enterprise Desktop 11 SP3 gnutls Released
SUSE Linux Enterprise High Availability Extension 11 SP1 gnutls Released
SUSE Linux Enterprise High Availability Extension 11 SP3 gnutls Released
SUSE Linux Enterprise SDK 11 SP1 gnutls Released
SUSE Linux Enterprise SDK 11 SP2 gnutls Released
SUSE Linux Enterprise SDK 11 SP3 gnutls Released
SUSE Linux Enterprise Server 10 SP3 gnutls Released
SUSE Linux Enterprise Server 10 SP4 gnutls Released
SUSE Linux Enterprise Server 10 SP4 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP1 gnutls Released
SUSE Linux Enterprise Server 11 SP1 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP2 gnutls Released
SUSE Linux Enterprise Server 11 SP2 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP3 gnutls Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 gnutls Released